MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026387Community[OCCT] OCCT:Modeling Algorithmspublic2015-07-01 17:392015-10-23 20:51
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeveritycrash 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026387: BRepPrimAPI_MakePrism crash when extruding Paraboloid face.
DescriptionCode snippets:
TopoDS_Shape aParaboloid = // load from file Paraboloid.brep.
gp_vec aPath(0,0,5);
BRepPrimAPI_MakePrism aMakePrism(aParaboloid, aPath, Standard_True);

Crash stack frame:

> TKPrim.dll!BRepSweep_Translation::MakeEmptyGeneratingEdge(const TopoDS_Shape & aGenE, const Sweep_NumShape & aDirV) Line 154 C++
     TKPrim.dll!BRepSweep_NumLinearRegularSweep::Shape(const TopoDS_Shape & aGenS, const Sweep_NumShape & aDirS) Line 131 C++
     TKPrim.dll!BRepSweep_NumLinearRegularSweep::Shape(const TopoDS_Shape & aGenS, const Sweep_NumShape & aDirS) Line 161 C++
     TKPrim.dll!BRepSweep_NumLinearRegularSweep::Shape(const TopoDS_Shape & aGenS, const Sweep_NumShape & aDirS) Line 309 C++
     TKPrim.dll!BRepSweep_NumLinearRegularSweep::Shape(const TopoDS_Shape & aGenS, const Sweep_NumShape & aDirS) Line 253 C++
     TKPrim.dll!BRepSweep_NumLinearRegularSweep::Shape() Line 81 C++
     TKPrim.dll!BRepSweep_Prism::Shape() Line 72 C++
     TKPrim.dll!BRepPrimAPI_MakePrism::Build() Line 80 C++
     TKPrim.dll!BRepPrimAPI_MakePrism::BRepPrimAPI_MakePrism(const TopoDS_Shape & S, const gp_Vec & V, const unsigned int Copy, const unsigned int Canonize) Line 42 C++
Steps To Reproducerestore Paraboloid.brep p
prism r p 0 0 5 c
checkshape r
#r must be valid shape
TagsNo tags attached.
Test case numberbugs modalg_6 bug26387
Attached Files? file icon Paraboloid.brep (42,104 bytes) 2015-07-01 17:40
png file icon Paraboloid.png (24,797 bytes) 2015-07-01 17:40

- Relationships
related to 0026406closedbugmaster BRepPrimAPI_MakeRevol crash when rotating Paraboloid face. 

-  Notes
(0042763)
git (administrator)
2015-07-06 17:48

Branch CR26387 has been created by ifv.

SHA-1: cecda2a5366219a64e48fbad4e9c52ecc8788db1


Detailed log of new commits:

Author: ifv
Date: Mon Jul 6 17:46:28 2015 +0300

    0026387: BRepPrimAPI_MakePrism crash when extruding Paraboloid face.
(0042764)
ifv (developer)
2015-07-06 17:52

please review branch CR26387
(0042816)
msv (developer)
2015-07-08 10:09

The line 161:

  myBuilder.Builder().MakeEdge
    (newE,C,BRep_Tool::Tolerance(TopoDS::Edge(aGenE)));

can make edge with null 3D curve. In this case it is needed to call another method MakeEdge that creates edge with no 3D curve.
(0042849)
ifv (developer)
2015-07-09 09:36
edited on: 2015-07-09 09:39

In fact, it is part of original code: algorithm was not dedicated to work with edges without 3d curves, only degenerated edges can be without 3d.
Really new edge must be copy of original one, so if original edge has no 3d, new edge has no 3d too.

(0042852)
git (administrator)
2015-07-09 10:20

Branch CR26387 has been updated forcibly by ifv.

SHA-1: c71982d229cab93cc904c61bd362a687147b1198
(0042853)
ifv (developer)
2015-07-09 10:24

Please review updated branch CR26387
(0042854)
msv (developer)
2015-07-09 10:47

Reviewed.
(0042871)
git (administrator)
2015-07-09 16:12

Branch CR26387 has been updated forcibly by apv.

SHA-1: 3bd39783747c31cba48bf8c5315569c4d691697b
(0042872)
apv (tester)
2015-07-09 16:12
edited on: 2015-07-09 17:02

Branch CR26387 has been rebased on the IR-2015-07-09

(0042898)
git (administrator)
2015-07-10 11:48

Branch CR26387 has been updated by apv.

SHA-1: d2033719e4bc9b05d3b191f634f11c908d996c52


Detailed log of new commits:

Author: apv
Date: Fri Jul 10 11:48:03 2015 +0300

    Test-cases for issue 0026387

(0042899)
apv (tester)
2015-07-10 11:48
edited on: 2015-07-13 16:46

Dear BugMaster,

Branch CR26387 from occt git-repository (and master from products git-repository) was compiled on Linux and Windows platforms and tested.
SHA-1: 3bd39783747c31cba48bf8c5315569c4d691697b

Number of compiler warnings:
occt component:
   Linux: 25 (25 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 37 (37 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
bugs modalg_6 bug26387 - OK
http://occt-tests/CR26387-IR-2015-07-09-occt-64/Debian70-64/bugs/modalg_6/bug26387.html [^]
http://occt-tests/CR26387-IR-2015-07-09-occt-64/Windows-64-VC10/bugs/modalg_6/bug26387.html [^]

Testing on Linux:
Total MEMORY difference: 96038823 / 96663932 [-0.65%]
Total CPU difference: 17361.099999999748 / 17425.299999999777 [-0.37%]

Testing on Windows:
Total MEMORY difference: 57058928 / 56506911 [+0.98%]
Total CPU difference: 16153.185945398936 / 15980.414837898928 [+1.08%]

(0044197)
git (administrator)
2015-08-14 10:56

Branch CR26387 has been deleted by inv.

SHA-1: d2033719e4bc9b05d3b191f634f11c908d996c52

- Related Changesets
occt: master 679d4fa8
Timestamp: 2015-07-20 11:07:11
Author: ifv
Committer: bugmaster
Details ] Diff ]
0026387: BRepPrimAPI_MakePrism crash when extruding Paraboloid face.

Test-cases for issue 0026387
mod - src/BRepSweep/BRepSweep_Translation.cxx Diff ] File ]
add - tests/bugs/modalg_6/bug26387 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-07-01 17:39 Vico Liang New Issue
2015-07-01 17:39 Vico Liang Assigned To => msv
2015-07-01 17:40 Vico Liang File Added: Paraboloid.brep
2015-07-01 17:40 Vico Liang File Added: Paraboloid.png
2015-07-01 17:51 msv Assigned To msv => ifv
2015-07-01 17:51 msv Target Version 7.0.0 => 7.1.0
2015-07-06 17:48 git Note Added: 0042763
2015-07-06 17:49 ifv Status new => assigned
2015-07-06 17:52 ifv Note Added: 0042764
2015-07-06 17:52 ifv Assigned To ifv => msv
2015-07-06 17:52 ifv Status assigned => resolved
2015-07-06 17:52 ifv Steps to Reproduce Updated View Revisions
2015-07-07 16:00 Vico Liang Relationship added related to 0026406
2015-07-08 10:09 msv Note Added: 0042816
2015-07-08 10:09 msv Assigned To msv => ifv
2015-07-08 10:09 msv Status resolved => assigned
2015-07-09 09:33 ifv Assigned To ifv => msv
2015-07-09 09:36 ifv Note Added: 0042849
2015-07-09 09:37 ifv Status assigned => feedback
2015-07-09 09:39 ifv Note Edited: 0042849 View Revisions
2015-07-09 10:20 git Note Added: 0042852
2015-07-09 10:24 ifv Note Added: 0042853
2015-07-09 10:24 ifv Status feedback => resolved
2015-07-09 10:47 msv Note Added: 0042854
2015-07-09 10:47 msv Assigned To msv => bugmaster
2015-07-09 10:47 msv Status resolved => reviewed
2015-07-09 16:12 git Note Added: 0042871
2015-07-09 16:12 apv Assigned To bugmaster => apv
2015-07-09 16:12 apv Note Added: 0042872
2015-07-09 17:02 apv Note Edited: 0042872 View Revisions
2015-07-10 11:48 git Note Added: 0042898
2015-07-10 11:48 apv Note Added: 0042899
2015-07-10 11:48 apv Assigned To apv => bugmaster
2015-07-10 11:48 apv Status reviewed => tested
2015-07-10 13:09 apv Note Edited: 0042899 View Revisions
2015-07-10 18:12 apv Test case number => bugs modalg_6 bug26387
2015-07-13 16:46 apv Note Edited: 0042899 View Revisions
2015-07-23 11:55 bugmaster Changeset attached => occt master 679d4fa8
2015-07-23 11:55 bugmaster Status tested => verified
2015-07-23 11:55 bugmaster Resolution open => fixed
2015-07-31 14:44 bugmaster Target Version 7.1.0 => 7.0.0
2015-08-14 10:56 git Note Added: 0044197
2015-08-26 11:08 abv Target Version 7.0.0 => 6.9.1
2015-10-16 14:56 user533 Status verified => closed
2015-10-23 20:51 user533 Fixed in Version => 6.9.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker